import request from '@/utils/request'

// 查询过车信息列表
export function listSpeedingVehicleInformation(query) {
  return request({
    url: '/system/SpeedingVehicleInformation/list',
    method: 'get',
    params: query
  })
}

// 查询过车信息详细
export function getSpeedingVehicleInformation(id) {
  return request({
    url: '/system/SpeedingVehicleInformation/' + id,
    method: 'get'
  })
}

// 新增过车信息
export function addSpeedingVehicleInformation(data) {
  return request({
    url: '/system/SpeedingVehicleInformation',
    method: 'post',
    data: data
  })
}

// 修改过车信息
export function updateSpeedingVehicleInformation(data) {
  return request({
    url: '/system/SpeedingVehicleInformation',
    method: 'put',
    data: data
  })
}

// 删除过车信息
export function delSpeedingVehicleInformation(id) {
  return request({
    url: '/system/SpeedingVehicleInformation/' + id,
    method: 'delete'
  })
}
